// *************************************************************************
// libxorgedit
// Copyright 2006, 2007 Dominik Wagenfuehr <dominik.wagenfuehr@arcor.de>
// Licence: GPL
// *************************************************************************

/**
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


// **************************************
// Header Files
// **************************************

#include "drimode.h"

// **************************
// Class Declaration
// **************************

DriMode::DriMode(void)
{  // constructor
}

DriMode::~DriMode(void)
{  // destructor
}

DriMode::DriMode(const DriMode &dev)
{  // copy constructor

  modeEntry=dev.GetMode();
  modeComment=dev.GetModeComment();
  comments=dev.Comments();
}

DriMode& DriMode::operator=(const DriMode &dev)
{  // copy constructor

  Clear();

  modeEntry=dev.GetMode();
  modeComment=dev.GetModeComment();
  comments=dev.Comments();

  return(*this);
}

void DriMode::SetMode(const MyString& id, const MyString& com)
{  // set mode

  modeEntry=id;
  modeComment=com;
}

void DriMode::Clear(void)
{    // clear everything

  modeEntry.Empty();
  modeComment.Empty();
  comments.Clear();
}

const MyString& DriMode::GetMode(void) const
{  // return mode

  return(modeEntry);
}

const MyString& DriMode::GetModeComment(void) const
{  // return mode comment

  return(modeComment);
}

const StringArray& DriMode::Comments(void) const
{  // return comments
  return(comments);
}

StringArray& DriMode::Comments(void)
{  // return comments as reference
  return(comments);
}

const bool DriMode::Check(void) const
{  /// Check if everything has correct syntax.

  return(false); // nothing to check
}

