// *************************************************************************
// libxorgedit
// Copyright 2006, 2007 Dominik Wagenfuehr <dominik.wagenfuehr@arcor.de>
// Licence: GPL
// *************************************************************************

/**
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef DRIMODE_H
#define DRIMODE_H

// **************************************
// Header Files
// **************************************

#include "optionlist.h"
#include "stringarray.h"

// **************************
// Class Definition
// **************************

class DriMode
{
public:
  /// Constructor.
  DriMode(void);

  /// Copy Constructor.
  DriMode(const DriMode &dev);

  /// Destructor.
  ~DriMode(void);

  /// Assignment operator.
  DriMode& operator=(const DriMode &dev);

  /// Set dri mode and optional comment.
  void SetMode(const MyString& id, const MyString& com=MyString());  void AddComment(const MyString& com);

  /// Get dri mode.
  const MyString& GetMode(void) const;

  /// Get dri mode comment.
  const MyString& GetModeComment(void) const;

  /// Get comments.
  const StringArray& Comments(void) const;

  /// Get comments (as reference).
  StringArray& Comments(void);

  /// Clear everything.
  void Clear(void);

  /// Check if everything has correct syntax.
  /**
  * Return <b>true</b> if something is wrong else <b>false</b>.
  */
  const bool Check(void) const;

private:
  MyString modeEntry;
  MyString modeComment;
  StringArray comments;
};

#endif // DRIMODE_H
