// *************************************************************************
// libxorgedit
// Copyright 2006, 2007 Dominik Wagenfuehr <dominik.wagenfuehr@arcor.de>
// Licence: GPL
// *************************************************************************

/**
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

// **************************************
// Module class definitions
// **************************************

#if !defined(MODULE_H)
#define MODULE_H

// **************************
// Headers
// **************************

#include "optionlist.h"
#include "mystring.h"

// **************************
// Module Class Definition
// **************************

class Module : public Option    // derived
{
public:
  /// Constructor.
  Module(void);

  /// Constructor.
  Module(const MyString& opt, const MyString& val=MyString(), const MyString& com=MyString(), const bool act=true);

  /// Copy Constructor.
  Module(const Module &opt);

  /// Destructor.
  ~Module(void);

  /// Assignment operator.
  Module& operator=(const Module &opt);

  /// Get options.
  const OptionList& Options(void) const;

  /// Get options (as reference).
  OptionList& Options(void);

  /// Delete all variables.
  void Clear(void);

  /// Check if everything has correct syntax.
  /**
  * Return <b>true</b> if something is wrong else <b>false</b>.
  */
  const bool Check(void);

private:
  OptionList options;
};

#endif // MODULE_H
