// *************************************************************************
// libxorgedit
// Copyright 2006, 2007 Dominik Wagenfuehr <dominik.wagenfuehr@arcor.de>
// Licence: GPL
// *************************************************************************

/**
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

// **************************************
// Textfile classes definitions
// **************************************

#if !defined(TEXTFILE_H)
#define TEXTFILE_H

// **************************
// Headers
// **************************

#include "stringarray.h"

// **************************
// TextFile Class
// **************************

class TextFile : public StringArray {

public:
  /// Load text file.
  /**
  * Return <b>true</b> if an error occured else <b>false</b>.
  */
  const bool Load(const MyString& filename);

  /// Save text file.
  /**
  * Return <b>true</b> if an error occured else <b>false</b>.
  */
  const bool Save(const MyString& filename);
  
  /// Append element as comment.
  void AppendComment(const MyString& value, const unsigned int numTabs=0);

  /// Append all elements from other array as comments.
  void AppendComment(const StringArray& array, const unsigned int numTabs=0);

  /// Append all elements from other array as comments.
  void AppendComment(const TextFile& array, const unsigned int numTabs=0);

  /// Set some line as comment.
  /**
  * Return <b>true</b> if an error occured else <b>false</b>.
  */
  const bool SetComment(const unsigned int index, const unsigned int numTabs=0);

};

#endif // !defined(TEXTFILE_H)
