// *************************************************************************
// xorg-edit
// Copyright 2006, 2007 Dominik Wagenfuehr <dominik.wagenfuehr@arcor.de>
// Licence: GPL
// *************************************************************************

/**
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef OPTIONWINDOW_H
#define OPTIONWINDOW_H

// **************************************
// Header Files
// **************************************

#include <wx/wx.h>
#include <wx/string.h>
#include "../libxorgedit/driveroptionlist.h"

// **************************
// Class Definition
// **************************

class OptionWindow : public wxScrolledWindow
{
public:
  OptionWindow();
  OptionWindow(wxWindow *parent, wxTextCtrl *descCtrl, DriverOptionList& list, const wxSize& size=wxDefaultSize);
  virtual ~OptionWindow();

  void OnOK(wxCommandEvent& event);
  void OnChangeOption(wxCommandEvent& event);
  void EnterOptionValue(wxCommandEvent& event);
  void SelectOptionValue(wxCommandEvent& event);

private:
  wxComboBox **defaultPointer;
  DriverOptionList *optionPointer;
  wxTextCtrl *optionDesc;

  DECLARE_DYNAMIC_CLASS(OptionWindow)

  // **************************
  // Constants
  // **************************

  // IDs for the controls and the menu commands
  enum OptionDialogID
  {
    CHECKBOX_ID=1000,
  };

};

#endif // OPTIONWINDOW_H
