// *************************************************************************
// xorg-edit
// Copyright 2006, 2007 Dominik Wagenfuehr <dominik.wagenfuehr@arcor.de>
// Licence: GPL
// *************************************************************************

/**
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

// **************************************
// Header Files
// **************************************

#include "textframe.h"

// **************************
// Class Declaration
// **************************

TextFrame::TextFrame(wxWindow* parent, const wxString& title, const TextFile& text, const long& style) : wxDialog(parent, -1, title, wxDefaultPosition, wxDefaultSize, style)
{
  wxBoxSizer *gridSizer = new wxBoxSizer(wxVERTICAL);

  textField=new wxTextCtrl(this, -1, wxEmptyString, wxDefaultPosition, wxSize(600,400), wxTE_MULTILINE | wxTE_READONLY | wxTE_DONTWRAP );
  wxButton *butOK=new wxButton(this, wxID_OK, _T("OK"));

  gridSizer->Add(textField, 1, wxEXPAND | wxALL | wxALIGN_CENTER_HORIZONTAL, 3);            // add notebook layout
  gridSizer->Add(butOK, 0, wxALL | wxALIGN_CENTER_HORIZONTAL, 3);
  SetSizerAndFit(gridSizer);         // sets the sizer

  for (unsigned int i=0; i<text.GetSize(); i++)
  {
    textField->AppendText(wxString::FromAscii(text(i).data()));
    textField->AppendText(_T("\n"));
  }

}

TextFrame::TextFrame(wxWindow* parent, const wxString& title, const wxArrayString& text, const long& style) : wxDialog(parent, -1, title, wxDefaultPosition, wxDefaultSize, style)
{
  wxBoxSizer *gridSizer = new wxBoxSizer(wxVERTICAL);

  textField=new wxTextCtrl(this, -1, wxEmptyString, wxDefaultPosition, wxSize(600,400), wxTE_MULTILINE | wxTE_READONLY | wxTE_DONTWRAP );
  wxButton *butOK=new wxButton(this, wxID_OK, _T("OK"));

  gridSizer->Add(textField, 0, wxALL | wxALIGN_CENTER_HORIZONTAL, 3);            // add notebook layout
  gridSizer->Add(butOK, 0, wxALL | wxALIGN_CENTER_HORIZONTAL, 3);
  SetSizerAndFit(gridSizer);         // sets the sizer

  for (unsigned int i=0; i<text.GetCount(); i++)
  {
    textField->AppendText(text[i]);
    textField->AppendText(_T("\n"));
  }

}


TextFrame::~TextFrame()  // destructor
{}

void TextFrame::AppendText(const wxString& text)
{  // appends text to the control

  textField->AppendText(text);
}

void TextFrame::AddLine(const wxString& text)
{  // appends text to the control and breaks the line

  textField->AppendText(text);
  textField->AppendText(_T("\n"));
}

