// *************************************************************************
// xorg-edit
// Copyright 2006, 2007 Dominik Wagenfuehr <dominik.wagenfuehr@arcor.de>
// Licence: GPL
// *************************************************************************

/**
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef TEXTFRAME_H
#define TEXTFRAME_H

// **************************************
// Header Files
// **************************************

#include <wx/wx.h>
#include <wx/dialog.h>
#include <wx/string.h>
#include "../libxorgedit/textfile.h"

// **************************
// Class Definition
// **************************

class TextFrame: public wxDialog
{
public:
  TextFrame(wxWindow* parent, const wxString& title, const TextFile& text, const long& style=wxDEFAULT_DIALOG_STYLE | wxMAXIMIZE_BOX | wxMINIMIZE_BOX | wxRESIZE_BORDER);
  TextFrame(wxWindow* parent, const wxString& title, const wxArrayString& text, const long& style=wxDEFAULT_DIALOG_STYLE | wxMAXIMIZE_BOX | wxMINIMIZE_BOX | wxRESIZE_BORDER);
  virtual ~TextFrame();

  void AppendText(const wxString& text);  // appends text to the control
  void AddLine(const wxString& text);     // appends text to the control and breaks the line

private:
  wxTextCtrl *textField;

};

#endif // TEXTFRAME_H
