// *************************************************************************
// xorg-edit
// Copyright 2006, 2007 Dominik Wagenfuehr <dominik.wagenfuehr@arcor.de>
// Licence: GPL
// *************************************************************************

/**
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


// **************************************
// Header Files
// **************************************

#include "xorgapp.h"
#include "guiframe.h"

// **************************
// Class Definition
// **************************

XorgApp::~XorgApp(void)
{ // destructor

  if (appLocale) delete appLocale;
  appLocale=NULL;
}

bool XorgApp::OnInit(void)   // init application
{
  // get application directory
  appDir=this->argv[0];
  appDir=appDir.Left(appDir.Len()-GetAppName().Len()-1);

  appLocale=NULL;
  SetLanguage();

  // guiFrame* frame = new guiFrame(wxEmptyString, appLocale);
  GuiFrame* frame = new GuiFrame(wxEmptyString);
  frame->Show();
  frame->ShowWarning();
  return(true);
};

void XorgApp::SetLanguage(const int lang)
{  // set language

  if (appLocale) delete appLocale;
  appLocale=new wxLocale();

  appLocale->Init(lang);
  appLocale->AddCatalogLookupPathPrefix(appDir+_T("/."));
  appLocale->AddCatalog(wxT("xorg-edit") );
}

const int XorgApp::GetLanguage(void) const
{  // get language

  return(appLocale->GetLanguage());
}

IMPLEMENT_APP(XorgApp);

