// *************************************************************************
// xorg-edit
// Copyright 2006, 2007 Dominik Wagenfuehr <dominik.wagenfuehr@arcor.de>
// Licence: GPL
// *************************************************************************

/**
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef XORGAPP_H
#define XORGAPP_H

// **************************************
// Header Files
// **************************************

#include <wx/wx.h>
#include <wx/string.h>
#include <wx/intl.h>

// **************************
// Class Declaration
// **************************

class XorgApp : public wxApp
{

public:
  virtual ~XorgApp(void);           // destructor
  virtual bool OnInit(void);        // init application
  void SetLanguage(const int lang=wxLANGUAGE_DEFAULT);   // set language
  const int GetLanguage(void) const;   // get language

protected:
  wxLocale *appLocale;
  wxString appDir;
};

DECLARE_APP(XorgApp);

#endif // XORGAPP_H

